netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
ppd.c File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <errno.h>`
`#include <atalk/logger.h>`
`#include <sys/types.h>`
`#include <sys/param.h>`
`#include <sys/time.h>`
`#include <netatalk/at.h>`
`#include <atalk/atp.h>`
`#include "printer.h"`
`#include "ppd.h"`

## Data Structures
struct | ppdent

## Functions
static void | ppd_init (void)
static char * | my_fgets (char *buf, size_t bufsize, FILE *stream)
static struct ppdent * | getppdent (FILE *stream)
int | read_ppd (char *file, int fcnt)
struct ppd_font * | ppd_font (char *font)
struct ppd_feature * | ppd_feature (const char *feature, int len)

## Variables
struct ppd_font * | ppd_fonts = NULL
struct ppd_feature | ppd_features []
static int | ppd_inited

## Function Documentation

## ◆ getppdent()

struct ppdent * getppdent | ( | FILE * | stream | ) |
| static

## ◆ my_fgets()

char * my_fgets | ( | char * | buf,
|  | size_t | bufsize,
|  | FILE * | stream )
| static

## ◆ ppd_feature()

struct ppd_feature * ppd_feature | ( | const char * | feature,
|  | int | len )

## ◆ ppd_font()

struct ppd_font * ppd_font | ( | char * | font | ) |

## ◆ ppd_init()

void ppd_init | ( | void |  | ) |
| static

## ◆ read_ppd()

int read_ppd | ( | char * | file,
|  | int | fcnt )

## Variable Documentation

## ◆ ppd_features

struct ppd_feature ppd_features[]

Initial value:
= {
{ "*LanguageLevel", NULL },
{ "*PSVersion", NULL },
{ "*FreeVM", "33554432" },
{ "*Product", NULL },
{ "*PCFileName", NULL },
{ "*ModelName", NULL },
{ "*NickName", NULL },
{ "*ColorDevice", NULL },
{ "*FaxSupport", NULL },
{ "*TTRasterizer", NULL },
{ "*Resolution", NULL },
{ NULL, NULL },
}
NULL
#define NULL
Definition utf8util.c:47

## ◆ ppd_fonts

struct ppd_font* ppd_fonts = NULL

## ◆ ppd_inited

int ppd_inited
| static